import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Bar, BarChart, CartesianGrid, Legend, ResponsiveContainer, Tooltip, XAxis, YAxis, } from 'recharts';
import palette from '../../theme/colors';
const AdminBarChart = (props) => {
    const { data, primaryBarLabel, secondaryBarLabel } = props;
    return (_jsx(ResponsiveContainer, { width: "80%", height: "80%", children: _jsxs(BarChart, { width: 500, height: 300, data: data, children: [_jsx(CartesianGrid, { strokeDasharray: "3 3" }), _jsx(XAxis, { dataKey: "xAxisKey" }), _jsx(YAxis, {}), _jsx(Tooltip, {}), _jsx(Legend, {}), _jsx(Bar, { name: primaryBarLabel, dataKey: "primaryBarKey", fill: palette.primary }), _jsx(Bar, { name: secondaryBarLabel, dataKey: "secondaryBarKey", fill: palette.toastSuccessBorder })] }) }));
};
export default AdminBarChart;
