import { FieldValues } from 'react-hook-form';
import { ITableProps } from '../../types';
import './details-styles.scss';
interface IDetails<ISubmittedDataType extends FieldValues> {
    data: ISubmittedDataType;
    title: string;
    details: ITableProps<ISubmittedDataType>;
    id: string;
    isSecondaryButton?: boolean;
    secondaryButtonLabel?: string;
    handleSecondaryButtonClick?: () => void;
}
declare const _default: (<ISubmittedDataType extends FieldValues>(props: IDetails<ISubmittedDataType>) => import("react/jsx-runtime").JSX.Element) & {
    displayName: string;
};
export default _default;
